/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-03-14
 * 描述            ：客户标准与最终用户对应表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.metallurgy.vo;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Qms.metallurgy.mapper.ComBaseStdRCustMapper;
import market.Slm.ContractManagement.vo.SlmCustAlphaChem;
import market.Slm.ContractManagement.vo.SlmCustAlphaDetection;
import market.Slm.ContractManagement.vo.SlmCustAlphaPhy;
import market.Slm.ContractManagement.vo.SlmCustAlphaSpec;
import market.Slm.OrderManagement.vo.SlmContractProcessPlan;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_STD_R_CUST", namespace=ComBaseStdRCustMapper.class)
public class ComBaseStdRCust extends BaseVO implements Serializable {
	/** 
	 * 用途代码
	 */ 
	@Id
	private String alpha_code;
	public String getAlpha_code() {
		return this.alpha_code;
	}
	public void setAlpha_code(String alpha_code) {
		this.alpha_code = alpha_code;
	}

	/** 
	 * 用途描述
	 */ 
	@Column
	private String alpha_name;
	public String getAlpha_name() {
		return this.alpha_name;
	}
	public void setAlpha_name(String alpha_name) {
		this.alpha_name = alpha_name;
	}

	/** 
	 * 最终用户编号
	 */ 
	@Id
	private String customer_no;
	public String getCustomer_no() {
		return this.customer_no;
	}
	public void setCustomer_no(String customer_no) {
		this.customer_no = customer_no;
	}

	/** 
	 * 最终用户描述
	 */ 
	@Column
	private String customer_name;
	public String getCustomer_name() {
		return this.customer_name;
	}
	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * Alpha代码
	 */ 
	@Column
	private String std_code_old;
	public String getStd_code_old() {
		return this.std_code_old;
	}
	public void setStd_code_old(String std_code_old) {
		this.std_code_old = std_code_old;
	}

	/** 
	 * 最终用户代码
	 */ 
	@Column
	private String customer_no_old;
	public String getCustomer_no_old() {
		return this.customer_no_old;
	}
	public void setCustomer_no_old(String customer_no_old) {
		this.customer_no_old = customer_no_old;
	}
	
	
	
	/**
	 * 标准代码
	 */
	private String std_code;
	
	public String getStd_code() {
		return std_code;
	}
	public void setStd_code(String std_code) {
		this.std_code = std_code;
	}

	/**
	 * 冶金规范码
	 */
	private String msc;
	public String getMsc() {
		return msc;
	}
	public void setMsc(String msc) {
		this.msc = msc;
	}

	/**
	 * 客户成分要求
	 */
	private List<SlmCustAlphaChem> listChem;
	
	/**
	 * 客户公差要求
	 */
	private List<SlmCustAlphaSpec> listSpec;
	
	/**
	 * 客户材质要求
	 */
	private List<SlmCustAlphaPhy> listPhy;
	
	/**
	 * 客户探伤要求
	 */
	private List<SlmCustAlphaDetection> listDetecion;
	
	/**
	 * 产品码
	 */
	private String psc;

	/**
	 * 宽度
	 */
	private String width;
	
	/**
	 * 厚度
	 */
	private String thick;
	
	/**
	 * 客户 alpha 编号
	 */
	private String cust_alpha_no;

	/**
	 * 加工计划号
	 */
	private String plan_no;
	
	
	/**
	 * 11.7日添加订单信息
	 * @return
	 */
	
	
	private SlmContractProcessPlan orderLine;
	
	
	

	public SlmContractProcessPlan getOrderLine() {
		return orderLine;
	}
	public void setOrderLine(SlmContractProcessPlan orderLine) {
		this.orderLine = orderLine;
	}

	/**
	 * msc n
	 */
	private String msc_n;
	
	public String getMsc_n() {
		return msc_n;
	}
	public void setMsc_n(String msc_n) {
		this.msc_n = msc_n;
	}
	public String getPlan_no() {
		return plan_no;
	}
	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}
	public String getCust_alpha_no() {
		return cust_alpha_no;
	}
	public void setCust_alpha_no(String cust_alpha_no) {
		this.cust_alpha_no = cust_alpha_no;
	}
	public String getWidth() {
		return width;
	}
	public void setWidth(String width) {
		this.width = width;
	}
	public String getThick() {
		return thick;
	}
	public void setThick(String thick) {
		this.thick = thick;
	}
	public String getPsc() {
		return psc;
	}
	public void setPsc(String psc) {
		this.psc = psc;
	}
	public List<SlmCustAlphaChem> getListChem() {
		return listChem;
	}
	public void setListChem(List<SlmCustAlphaChem> listChem) {
		this.listChem = listChem;
	}
	public List<SlmCustAlphaSpec> getListSpec() {
		return listSpec;
	}
	public void setListSpec(List<SlmCustAlphaSpec> listSpec) {
		this.listSpec = listSpec;
	}
	public List<SlmCustAlphaPhy> getListPhy() {
		return listPhy;
	}
	public void setListPhy(List<SlmCustAlphaPhy> listPhy) {
		this.listPhy = listPhy;
	}
	public List<SlmCustAlphaDetection> getListDetecion() {
		return listDetecion;
	}
	public void setListDetecion(List<SlmCustAlphaDetection> listDetecion) {
		this.listDetecion = listDetecion;
	}
	
	

}
